ChangeSet 1.973, 2002/12/27 23:37:51-08:00, greg@kroah.com

[PATCH] USB: fix kaweth driver which was accessing the struct usb_device refcnt variable directly.


diff -Nru a/drivers/usb/net/kaweth.c b/drivers/usb/net/kaweth.c
--- a/drivers/usb/net/kaweth.c	Fri Dec 27 23:55:09 2002
+++ b/drivers/usb/net/kaweth.c	Fri Dec 27 23:55:09 2002
@@ -612,8 +612,6 @@
 	struct kaweth_device *kaweth = (struct kaweth_device *)net->priv;
 	int res;
 
-	kaweth_dbg("Dev usage: %d", kaweth->dev->refcnt.counter);
-
 	kaweth_dbg("Opening network device.");
 
 	res = kaweth_resubmit_rx_urb(kaweth, GFP_KERNEL);
@@ -657,9 +655,6 @@
 	usb_unlink_urb(kaweth->rx_urb);
 
 	kaweth->status &= ~KAWETH_STATUS_CLOSING;
-
-
-	printk("Dev usage: %d", kaweth->dev->refcnt.counter);
 
 	return 0;
 }
